LINUX.ORG.RU

ошибка apt-get upgrade


0

0

с неделю назад после очередного
apt-get update ; apt-get upgrade
началась такая ерунда.

apt-get upgrade
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install'.
Пакеты, имеющие неудовлетворённые зависимости:
libisccc50: Зависит: libisc52 (= 1:9.6.ESV.R1+dfsg-0+lenny1) но он не установлен
E: Неудовлетворённые зависимости. Попытайтесь использовать -f.


если сделать apt-get -f install , то получаю

Хотите продолжить [Д/н]?
(Чтение базы данных ... на данный момент установлено 457299 файлов и каталогов.)
Распаковывается пакет libisc52 (из файла .../libisc52_1%3a9.6.ESV.R1+dfsg-0+lenny1_i386.deb)...
dpkg: не удалось обработать параметр /var/cache/apt/archives/libisc52_1%3a9.6.ESV.R1+dfsg-0+lenny1_i386.deb (--unpack):
trying to overwrite '/usr/lib/libisc.so.50', which is also in package libisc50 1:9.6.1.dfsg.P3-1
При обработке следующих пакетов произошли ошибки:
/var/cache/apt/archives/libisc52_1%3a9.6.ESV.R1+dfsg-0+lenny1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

как лечить?

★★★

>libisc52 (= 1:9.6.ESV.R1+dfsg-0+lenny1)

libisc50 1:9.6.1.dfsg.P3-1


Левые репы подключали?

anon_666 ()
Ответ на: комментарий от anon_666

>ISC Shared Library used by BIND
А если rm /usr/lib/libisc.so* и тд, а потом apt-get install ?

anon_666 ()
Ответ на: комментарий от anon_666

в sources.list

deb-src http://ftp.debian.org/debian/ squeeze main contrib non-free
deb http://ftp.debian.org/debian/ squeeze main contrib non-free
deb http://ftp.debian.org/debian/ lenny main contrib non-free


deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

#2Gis
deb http://packages.redsolution.ru/2gis lenny non-free
#Opera
deb http://deb.opera.com/opera/ squeeze non-free
# qutim
deb http://qutim.org/debian/testing testing main
#XMMS
deb http://www.pvv.ntnu.no/~knuta/xmms/lenny ./
deb-src http://www.pvv.ntnu.no/~knuta/xmms/lenny ./
#wine
deb http://wine.sourceforge.net/apt/ binary/
---------------------------

а вот rm /usr/lib/libisc.so* помогло. Я до этого пробовал удалить только libisc.so.50*, а там еще были 45 и 60

Спасибо!

deys ★★★ ()
Ответ на: комментарий от deys

Зачем смешиваем lenny с testing? apt pinning, хотя-бы, настроен?

AITap ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.